# All Classes and Interfaces

Class
Description
BaseUrl
Messages on reports can have a link to a resolution document.
Cause
Mark a parameter as being the "exception cause" parameter rather than a positional format parameter.
ConstructType
Indicates the value of this annotation should be constructed and returned.
Field
Indicate that a method parameter value should be applied to a field on the resultant exception object.
Fields
Defines the default field properties to use on the resultant exception object.
FormatWith
Indicate that the given parameter should be wrapped with a formatting object of the given class.
LoggingClass
Mark a parameter as specifying the name of the logging class to use.
LogMessage
A typed logger method.
Message
Assigns a message string to a resource method.
Message.Format
The possible format types.
MessageBundle
Signify that an interface is a message bundle interface.
MessageLogger
Signify that an interface is a typed logger interface.
Once
Indicates a message should only be logged once.
Param
Identifies a parameter is to be used for constructing an exception and excluded from the formatting of the message.
Pos
Producer
Identifies a parameter has the ability to produce a `Throwable` or a super type of a `Throwable`.
Properties
Defines the default properties to use on the resultant exception object.
Property
Indicate that a method parameter value should be applied to a property (with a setter method) on the resultant exception object.
ResolutionDoc
Allows a link to be created for messages on a report which contain a possible resolution to the issue reported .
Signature
Specifies the exact signature to use when creating a `Throwable` return type.
Suppressed
Indicates the parameter should be added as a suppressed exception to the returned exception.
Transform
Indicate the given parameter should be transformed in each of the `transform types` provided.
Transform.TransformType
The transform type
ValidIdRange
Sets a range of valid id's allowed on the `message id`.
ValidIdRanges